Bug 97755 - cups slow to print pdf
cups slow to print pdf
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-06-20 09:46 EDT by Paul D. Mitcheson
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-24 12:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul D. Mitcheson 2003-06-20 09:46:50 EDT
Description of problem:
I have a redhat 9 print server, cups 1.1.17.

Two queues - raw for windows prining and filtered for linu/solaris printing.

Print the same pdf file from windows and unix and the spooled file in windows is
about 20 times smaller than the spooled file from unix when it has used the cups
pdftops.  This means my unix printing is very slow.  (4MB pdf takes 30mins to
print from unix, <1min from windows.)

I am using a LJ4200dtn and the ppd file for unix is one I copied out of the
windows driver.

The d file in var/spool/cups for the windows drivers is 5MB od level 3 ps, and
the d file from windows for the same file is 80MB of ps level 2.

Any ideas?


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.print pdf file
2.wait a long time!
Actual results:

Expected results:

Additional info:
Comment 1 Tim Waugh 2003-06-24 11:59:03 EDT
Please attach the output of 'printconf-tui --Xexport' so that I can see your
Comment 2 Paul D. Mitcheson 2003-06-24 12:03:28 EDT
Sorry - meant to remove this the other day from bugzilla but forgot.

The problem was actually a version of kghostview on an old suse install which
was creating monster ps files wich took ages to go through pdftops, so there is
nothing wring with cups on redhat 9

Thanks for your help and sorry I didn't delete this before.

Paul Mitcheson
Comment 3 Tim Waugh 2003-06-24 12:24:36 EDT
No problem.

Note You need to log in before you can comment on or make changes to this bug.